Allow per-article and per-namespace messages above edit form
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
MZMcBride
Subscribers
Cenarium, siebrand, He7d3r and 4 others
Projects
Reference
bz15102
Description

To avoid things like http://en.wikipedia.org/w/index.php?oldid=230829925&action=edit it would be great if it were possible to have customizable messages appear above the edit form for certain namespaces or articles.

Using a standardized format like MediaWiki:Notice-edit-<page_title> or something similar, notices about article restrictions or particular concerns with a given page (or namespace) could be displayed regardless of whether someone uses the edit tab or section edits. The Template: namespace could have a message that explains the purpose and function of templates and their syntax, etc.

Apologies if this is already filed elsewhere. I couldn't find anything similar.


Version: 1.13.x
Severity: enhancement

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 10:23 PM
bzimport set Reference to bz15102.
MZMcBride created this task.Via LegacyAug 10 2008, 7:11 AM
bzimport added a comment.Via ConduitAug 10 2008, 8:36 AM

fran wrote:

Added in r39055. The edit page will now check for messages called MediaWiki:Editnotice-ns-# and MediaWiki:Editnotice-page-PAGENAME, where # and PAGENAME are the namespace and page name respectively, formatted in the same way the per-namespace/per-page CSS classes are, and display them above the edit form.

brion added a comment.Via ConduitAug 10 2008, 8:02 PM

Reverted for now in r39081; the use of CSS class name formatting for message names doesn't really seem appropriate, as it's difficult to predict.

bzimport added a comment.Via ConduitAug 11 2008, 8:37 AM

fran wrote:

Ah, OK, good point. I've taken another whack at it in r39121 - now it uses DBkeys, which the user should be more familiar with, given they're used in URLs. :) (I've also fixed the inconsistency regarding wfMsgForContent() vs. $wgOut->addWikiMsg().)

555 added a comment.Via ConduitSep 21 2008, 7:08 PM
  • Bug 7739 has been marked as a duplicate of this bug. ***
demon added a comment.Via ConduitNov 18 2008, 3:20 PM
  • Bug 8260 has been marked as a duplicate of this bug. ***
MZMcBride added a comment.Via ConduitMar 12 2009, 3:38 AM

Per-article editnotices were reverted in r48276. Re-opening this bug for now.

Cenarium added a comment.Via ConduitJul 29 2009, 1:37 PM

Could we have dismissible editnotices, with cookie IDs like for the watchlist notice (working for anons too) ? This would allow to dismiss per-namespace editnotices, and pending resolution of bug 18596, dismiss per-category editnotices, so supersede the common.js hack (which adds an editintro).

brion added a comment.Via ConduitSep 21 2011, 10:24 PM

r97686 restores per-article editnotices, seems to be unaware that it was previously removed. :)

Unclear whether this will stay.

bzimport added a comment.Via ConduitSep 22 2011, 6:23 PM

a.d.bergi wrote:

At the German Wikipedia this is already done with the parser function #ifexist, see http://de.wikipedia.org/w/index.php?title=MediaWiki:Editnotice-0&action=edit. Of course it would be much cleaner if it was a mediawiki feature.

Nikerabbit added a comment.Via ConduitDec 16 2011, 9:35 AM

At this moment it looks like it is going to stay - the previous behavior was very inconsistent.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.